Back to Redis

Test

content/operate/rs/7.22/references/rest-api/requests/ocsp/test.md

latest2.3 KB
Original Source
MethodPathDescription
POST/v1/ocsp/testTest OCSP

Test OCSP {#post-test}

POST /v1/ocsp/test

Queries the OCSP server for the proxy certificate’s latest status and returns the response as JSON. It caches the response if the OCSP feature is enabled.

Required permissions

Permission name
[test_ocsp_status]({{< relref "/operate/rs/7.22/references/rest-api/permissions#test_ocsp_status" >}})

Request {#post-request}

Example HTTP request

POST /v1/ocsp/test 

Request headers

KeyValueDescription
Hostcnm.cluster.fqdnDomain name
Acceptapplication/jsonAccepted media type

Response {#post-response}

Returns an [OCSP status object]({{< relref "/operate/rs/7.22/references/rest-api/objects/ocsp_status" >}}).

Example JSON body

json
{
    "responder_url": "http://responder.ocsp.url.com",
    "cert_status": "REVOKED",
    "produced_at": "Wed, 22 Dec 2021 12:50:11 GMT",
    "this_update": "Wed, 22 Dec 2021 12:50:11 GMT",
    "next_update": "Wed, 22 Dec 2021 14:50:00 GMT",
    "revocation_time": "Wed, 22 Dec 2021 12:50:04 GMT"
}

Error codes {#post-error-codes}

When errors occur, the server returns a JSON object with error_code and message fields that provide additional information. The following are possible error_code values:

CodeDescription
no_responder_urlTried to test OCSP status with no responder URL configured
ocsp_unsupported_by_capabilityNot all nodes support OCSP capability
task_queued_for_too_longOCSP polling task was in status "queued" for over 5 seconds
invalid_ocsp_responseThe server returned a response that is not compatible with OCSP

Status codes {#post-status-codes}

CodeDescription
200 OKSuccess querying the OCSP server
406 Not AcceptableFeature is not supported in all nodes
500 Internal Server Errorresponder_url is not configured or polling task failed